using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using UniversityContracts.BindingModels;
using UniversityContracts.SearchModels;
using UniversityContracts.ViewModels;

namespace UniversityContracts.StoragesContracts
{
    public interface IRoleStorage
    {
        List<RoleViewModel> GetFullList();
        List<RoleViewModel> GetFilteredList(RoleSearchModel model);
        RoleViewModel? GetElement(RoleSearchModel model);
        RoleViewModel? Insert(RoleBindingModel model);
        RoleViewModel? Update(RoleBindingModel model);
        RoleViewModel? Delete(RoleBindingModel model);
    }
}
